@import url("https://fonts.googleapis.com/css?family=Nunito+Sans");
:root {
  --ospa-color-bg-app: #f1f1f1;
}

.bd-callout {
  padding: 1.25rem;
  margin-top: 1.25rem;
  margin-bottom: 1.25rem;
  border: 1px solid #eee;
  border-left-width: 0.25rem;
  border-radius: 0.25rem;
}
.bd-callout h2, .bd-callout h3, .bd-callout h4, .bd-callout h5 {
  margin-top: 0;
  margin-bottom: 0.25rem;
}
.bd-callout p:last-child {
  margin-bottom: 0;
}
.bd-callout code {
  border-radius: 0.25rem;
}

.bd-callout-primary {
  border-left-color: #007bff;
}
.bd-callout-primary h2, .bd-callout-primary h3, .bd-callout-primary h4, .bd-callout-primary h5 {
  color: #007bff;
}

.bd-callout-secondary {
  border-left-color: #6c757d;
}
.bd-callout-secondary h2, .bd-callout-secondary h3, .bd-callout-secondary h4, .bd-callout-secondary h5 {
  color: #6c757d;
}

.bd-callout-success {
  border-left-color: #28a745;
}
.bd-callout-success h2, .bd-callout-success h3, .bd-callout-success h4, .bd-callout-success h5 {
  color: #28a745;
}

.bd-callout-info {
  border-left-color: #17a2b8;
}
.bd-callout-info h2, .bd-callout-info h3, .bd-callout-info h4, .bd-callout-info h5 {
  color: #17a2b8;
}

.bd-callout-warning {
  border-left-color: #ffc107;
}
.bd-callout-warning h2, .bd-callout-warning h3, .bd-callout-warning h4, .bd-callout-warning h5 {
  color: #ffc107;
}

.bd-callout-danger {
  border-left-color: #dc3545;
}
.bd-callout-danger h2, .bd-callout-danger h3, .bd-callout-danger h4, .bd-callout-danger h5 {
  color: #dc3545;
}

.bd-callout-light {
  border-left-color: #f8f9fa;
}
.bd-callout-light h2, .bd-callout-light h3, .bd-callout-light h4, .bd-callout-light h5 {
  color: #f8f9fa;
}

.bd-callout-dark {
  border-left-color: #343a40;
}
.bd-callout-dark h2, .bd-callout-dark h3, .bd-callout-dark h4, .bd-callout-dark h5 {
  color: #343a40;
}

html, body {
  height: 100%;
}

body {
  display: flex;
  flex-direction: column;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  background-color: var(--ospa-color-bg-app);
}

.required:after {
  content: "*";
  font-weight: bold;
  color: red;
}

.site-main {
  padding: 0px 15px 0;
  flex: 1 0 auto;
}
@media (max-width: 576px) {
  .site-main {
    max-width: 100%;
    padding: 0px 0px 15px 0px;
  }
}
@media (min-width: 992px) {
  .site-main {
    padding: 0px 15px 15px 15px;
  }
}

/* HEADER */
.nav-item {
  position: relative;
}
.nav-item:not(.active):hover > .nav-link::after {
  opacity: 1;
  left: 0;
  right: 0;
}
.nav-item.active > .nav-link::after {
  position: absolute;
  right: 0;
  bottom: 1px;
  left: 0;
  display: block;
  height: 0.25rem;
  background-color: #fc0;
  content: "";
  pointer-events: none;
}
.nav-item:not(.active) > .nav-link::after {
  position: absolute;
  right: 0;
  bottom: 1px;
  left: 0;
  display: block;
  height: 0.25rem;
  background-color: #999;
  content: "";
  pointer-events: none;
  transition: opacity 250ms cubic-bezier(0.4, 0, 0.2, 1), left 250ms cubic-bezier(0, 0, 0.2, 1), right 250ms cubic-bezier(0, 0, 0.2, 1);
  right: 2rem;
  left: 2rem;
  opacity: 0;
}

.navbar .navbar-brand {
  font-weight: 200;
  color: #94be46;
}
.navbar .navbar-brand img {
  width: 40px;
}
.navbar .nav-item:nth-of-type(1) {
  margin-right: 10px;
}
@media (max-width: 768px) {
  .navbar .nav-item > .btn, .navbar .nav-item > .btn-group {
    margin-top: 0.5rem;
  }
  .navbar .nav-item .btn-group-language-switch {
    padding-left: 0px;
  }
}

@media (min-width: 768px) {
  #navbarmain {
    margin-left: 40px;
    flex-basis: 100%;
  }
}

small.shop-url {
  display: inline;
  padding-left: 10px;
}

.site-footer {
  position: relative;
  flex-shrink: 0;
  width: 100%;
  height: 60px;
  border-top: 4px solid #f7f4ed;
}
.site-footer a {
  color: rgba(0, 0, 0, 0.5);
}
@media screen and (max-width: 768px) {
  .site-footer .container {
    margin-top: 10px;
    margin-bottom: 10px;
  }
}

.btn-group-language-switch {
  padding-left: 1em;
}
.btn-group-language-switch a.btn {
  border-color: rgba(0, 0, 0, 0.2);
  font-weight: 200;
}
.btn-group-language-switch a.btn-default {
  background-color: transparent;
  color: #fff;
  opacity: 0.35;
}
.btn-group-language-switch a.btn-default:hover {
  opacity: 0.85;
}
.btn-group-language-switch a.btn-default.disabled {
  opacity: 0.85;
}

/* PAGE-LOGIN */
.login-section label.title, .login-section p.title {
  font-size: 2em;
  font-weight: 200;
  letter-spacing: 0.05em;
}
.login-section .input-group-addon {
  color: #fff;
  background-color: #94be46;
  border-color: #5f8d3e;
  font-weight: 200;
  letter-spacing: 0.02em;
}
.login-section input#shopURL {
  border-color: #5f8d3e;
}
.login-section div.checkbox {
  text-align: right;
}
.login-section div.checkbox label {
  text-align: right;
  font-weight: 400;
  letter-spacing: 0.02em;
}
.login-section div.login-button {
  text-align: right;
}
.login-section div.login-button button[type=submit], .login-section a.btn-registry {
  color: #5f8d3e;
  border-color: #5f8d3e;
  font-size: 1.2em;
  font-weight: 200;
  letter-spacing: 0.05em;
  padding: 8px 14px;
  transition: all 0.1s ease, color 0.1s ease;
}
.login-section div.login-button button[type=submit]:hover, .login-section a.btn-registry:hover {
  color: #fff;
  border-color: #94be46;
  background-color: #94be46;
}
.login-section .invalid-feedback {
  position: absolute;
  top: 45px;
}

a.btn-registry {
  margin-top: 1.25em;
}

.register-section p {
  font-weight: 400;
  letter-spacing: 0.02em;
}

.list-display li {
  margin-bottom: 0.4rem;
  font-size: 0.85rem;
}

.list-checkmarks {
  padding-left: 0.85rem;
}

.list-checkmarks li {
  list-style-type: none;
  padding-left: 0.5rem;
}

.list-checkmarks li:before {
  font-family: "Font Awesome 5 Free";
  content: "\f00c";
  margin: 0 15px 0 -28px;
  font-size: 13px;
  font-weight: 900;
  color: #17aa1c;
}

.settings-tabs {
  margin: 1.5rem;
  border-width: 0.2rem;
  position: relative;
}
.settings-tabs > .col-3 {
  border-right: 1px solid #f7f7f9;
}

.form-actions {
  display: flex;
}

.subscriptions .card-text {
  min-height: 30px;
}
.subscriptions .subscription-card {
  min-height: 250px;
}

.features-card {
  min-height: 450px;
}
.features-card .card-header {
  justify-content: center;
  display: flex;
}

.ui-selectmenu-button.ui-button {
  background: unset;
}

.checkbox-button {
  display: inline-block;
}
.checkbox-button .btn.dropdown-toggle {
  padding-left: 0px;
  padding-right: 0px;
}

.page-size {
  display: flex;
  align-items: baseline;
  font-size: 0.75rem;
  width: 250px;
}
.page-size > label {
  text-align: right;
}
:root {
  --blue: #0e0620;
  --white: #fff;
  --green: #2ccf6d;
}

.missingview .btn {
  z-index: 1;
  overflow: hidden;
  background: transparent;
  position: relative;
  padding: 8px 50px;
  border-radius: 30px;
  cursor: pointer;
  font-size: 1em;
  letter-spacing: 2px;
  transition: 0.2s ease;
  font-weight: bold;
  margin: 5px 0px;
}
.missingview .btn.green {
  border: 4px solid var(--green);
  color: var(--blue);
}
.missingview .btn.green:before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 0%;
  height: 100%;
  background: var(--green);
  z-index: -1;
  transition: 0.2s ease;
}
.missingview .btn.green:hover {
  color: var(--white);
  background: var(--green);
  transition: 0.2s ease;
}
.missingview .btn.green:hover:before {
  width: 100%;
}

.page-500 .outer {
  margin-top: 90px;
  display: table;
  width: 100%;
  height: 100%;
}
.page-500 .outer .middle {
  display: table-cell;
  vertical-align: middle;
}
.page-500 .outer .middle .inner {
  width: 300px;
  margin-right: auto;
  margin-left: auto;
}
.page-500 .outer .middle .inner .inner-detail {
  line-height: 1.4em;
  display: block;
  margin-bottom: 10px;
  text-align: center;
  color: #999999;
}
.page-500 .outer .middle .inner .inner-status {
  font-size: 20px;
  display: block;
  margin-top: 20px;
  margin-bottom: 5px;
  text-align: center;
  color: #39bbdb;
}
.page-500 .outer .middle .inner .inner-circle {
  height: 300px;
  border-radius: 50%;
  background-color: #ffffff;
}
.page-500 .outer .middle .inner .inner-circle:hover i {
  color: #39bbdb !important;
  background-color: #f5f5f5;
  box-shadow: 0 0 0 15px #39bbdb;
}
.page-500 .outer .middle .inner .inner-circle:hover span {
  color: #39bbdb;
}
.page-500 .outer .middle .inner .inner-circle i {
  font-size: 5em;
  line-height: 1em;
  float: right;
  width: 1.6em;
  height: 1.6em;
  margin-top: -0.7em;
  margin-right: -0.5em;
  padding: 20px;
  transition: all 0.4s;
  text-align: center;
  color: #f5f5f5 !important;
  border-radius: 50%;
  background-color: #39bbdb;
  box-shadow: 0 0 0 15px #f0f0f0;
}
.page-500 .outer .middle .inner .inner-circle span {
  font-size: 11em;
  font-weight: 700;
  line-height: 1.2em;
  display: block;
  transition: all 0.4s;
  text-align: center;
  color: #e0e0e0;
}

.toast-bottom-center {
  bottom: 60px;
}

.toast-message a {
  color: #007bff;
}

#mainModal .modal-dialog .modal-content {
  background: transparent;
  border: none;
  margin: auto;
}

.jumbotron {
  background-color: #f7f4ed;
}

.jumbotron.message {
  background-color: #d4edda;
}

.success {
  color: #28a745;
}

.warning {
  color: #fd7e14;
}

.fail {
  color: #dc3545;
}

.info {
  color: #17a2b8;
}

.onboarding-image {
  float: left;
  margin-right: 10px;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

@media (min-width: 992px) {
  .dropdown-menu .dropdown-toggle:after {
    border-top: 0.3em solid transparent;
    border-right: 0;
    border-bottom: 0.3em solid transparent;
    border-left: 0.3em solid;
  }
  .dropdown-menu .dropdown-menu {
    margin-left: 0;
    margin-right: 0;
  }
  .dropdown-menu li {
    position: relative;
  }
  .nav-item .submenu {
    display: none;
    position: absolute;
    left: 100%;
    top: -7px;
  }
  .nav-item .submenu-left {
    right: 100%;
    left: auto;
  }
  .dropdown-menu > li:hover {
    background-color: #f1f1f1;
  }
  .dropdown-menu > li:hover > .submenu {
    display: block;
  }
}
#ordersmenu {
  display: none;
}
#ordersmenu.show {
  display: block;
}

.bd-callout.close {
  position: absolute;
  top: 0;
  right: 0;
  padding: 0.75rem 1.25rem;
  color: inherit;
}

.stepwizard-step p {
  margin-top: 0px;
  color: #666;
}
.stepwizard-step .btn.disabled, .stepwizard-step .btn[disabled], .stepwizard-step fieldset[disabled] .btn {
  opacity: 1 !important;
  color: #bbb;
}

.stepwizard-row {
  display: flex;
  flex-direction: row;
  width: 100%;
}

.stepwizard {
  display: flex;
  position: relative;
}

.stepwizard-row:before {
  top: 14px;
  bottom: 0;
  position: absolute;
  content: " ";
  width: 100%;
  height: 1px;
  background-color: #ccc;
  z-index: 0;
}

.stepwizard-step {
  text-align: center;
  position: relative;
}

.btn-circle {
  width: 30px;
  height: 30px;
  text-align: center;
  padding: 6px 0;
  font-size: 12px;
  line-height: 1.428571429;
  border-radius: 15px;
}

input:invalid, select:invalid {
  border: 1px solid red;
}

.ui-selectmenu-menu {
  font-size: 0.85em;
}

.pdf-preview {
  width: 100%;
  width: -moz-available;
  width: -webkit-fill-available;
  width: fill-available;
  height: 100%;
  height: -moz-available;
  height: -webkit-fill-available;
  height: fill-available;
}

/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  transition: 0.4s;
}

input:checked + .slider {
  background-color: #007bff;
}

input:focus + .slider {
  box-shadow: 0 0 1px #007bff;
}

input:checked + .slider:before {
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

@media screen and (max-width: 768px) {
  #searchfrm .input-group.filter {
    border: 1px solid #c3d4da;
    height: 50px;
    margin-bottom: 5px;
  }
  #searchfrm .input-group.filter label {
    position: absolute;
    top: 0px;
    padding-left: 0px;
    padding-left: 0px;
    font-size: 10px;
  }
  #searchfrm .input-group.filter select {
    border: 0px;
    height: 20px;
    padding: 0 0 0 10px;
    bottom: -10px;
  }
  #searchfrm .input-group.filter select:focus {
    box-shadow: unset;
  }
}

.ui-selectmenu-menu .ui-menu {
  height: 400px;
}

#partialFulfillment .modal-body {
  overflow-y: scroll;
  max-height: 500px;
}

#analytics-table {
  min-height: 150px;
}

.labels-card {
  width: 100%;
}

.card {
  border-radius: 0.5rem;
}

.card-header {
  padding: 0.5rem 1.25rem;
  background-color: unset;
}

nav.order-pagination {
  margin: 0 10px;
}

thead {
  background-color: rgba(0, 0, 0, 0.03);
}

.card-body.flush {
  padding: 0px;
}

.card-body {
  padding-left: 15px;
  padding-right: 5pxl;
}

.carousel-item div {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}

#quicktips .carousel-inner {
  min-height: 200px;
}

.carousel-control-next:focus, .carousel-control-next:hover, .carousel-control-prev:focus, .carousel-control-prev:hover {
  color: black;
}

.carousel-control-next-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23000' viewBox='0 0 8 8'%3E%3Cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3E%3C/svg%3E");
}

.carousel-control-prev-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23000' viewBox='0 0 8 8'%3E%3Cpath d='M5.25 0l-4 4 4 4 1.5-1.5-2.5-2.5 2.5-2.5-1.5-1.5z'/%3E%3C/svg%3E");
}

.carousel-control-next, .carousel-control-prev {
  height: 20px;
  width: unset;
}

.carousel-control-prev {
  right: 20px;
  left: unset;
}

.turbolinks-progress-bar {
  visibility: hidden;
}

.table-sm td, .table-sm th {
  padding-left: 10px;
}

.nav-pills .nav-link {
  background: 0 0;
  border: 0;
  border-radius: 0.25rem;
  background-color: unset;
  text-align: left;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #007bff;
}

.nav-pills .nav-link:focus {
  outline: unset;
}

#searchfrm .filter input.form-control {
  border: unset;
  margin-top: 10px;
  height: 19px;
}
#searchfrm .filter input.form-control:focus {
  border: unset;
}

@media screen and (min-width: 768px) {
  #searchfrm .filter input.form-control {
    border: 1px solid #ced4da;
    margin-top: 0px;
    height: 39px;
  }
  #searchfrm .filter input.form-control:focus {
    border-color: #80bdff;
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
  }
}
.carousel-indicators li {
  background-color: #230000;
}